Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# TaskbarAppletInterface Class Reference

The TaskbarAppletInterface class provides an interface for Qtopia taskbar applet plugins. More...

`#include <qtopia/taskbarappletinterface.h>`

List of all member functions.

## Public Members

- virtual QWidget * applet ( QWidget * parent ) = 0
- virtual int position () const = 0

## Detailed Description

The TaskbarAppletInterface class provides an interface for Qtopia taskbar applet plugins.

Taskbar applets may be added to Qtopia via plugins. In order to write a taskbar applet plugin you must create an interface by subclassing TaskbarAppletInterface class and implementing the pure virtual functions.

## Member Function Documentation

### QWidget * TaskbarAppletInterface::applet ( QWidget * parent )`[pure virtual]`

Returns an instance of your applet. You should always return the same applet instance if this function is called multiple times.

The applet widget must be a child of parent.

The applet must fit in the taskbar, so the sizeHint() of the applet should return a size no larger than 16x16 in most cases.

### int TaskbarAppletInterface::position () const`[pure virtual]`

Returns the preferred position of this applet in the taskbar. Higher values place the applet further to the right. Recommeded values are from 0 to 10. Normally a clock applet should be shown on the far right (position 10), so applets should specify a value between 0 and 9.

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.